package com.tanpu.community.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.tanpu.community.dao.entity.community.HomePageEntity;
import com.tanpu.community.dao.mapper.community.HomePageMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class HomePageService {

    @Resource

    private HomePageMapper homePageMapper;


    public HomePageEntity selectByUser(String userId){
        return homePageMapper.selectOne(new LambdaQueryWrapper<HomePageEntity>()
                .in(HomePageEntity::getId,userId));
    }

    public List<HomePageEntity> selectListByUserIds(List<String> userIds){
        return homePageMapper.selectList(new LambdaQueryWrapper<HomePageEntity>()
                .in(HomePageEntity::getId,userIds));
    }
}
